Last Comment Bug 848250 - bug summary tooltip now includes "---" for unresolved bugs
: bug summary tooltip now includes "---" for unresolved bugs
Status: RESOLVED FIXED
:
Product: Bugzilla
Classification: Server Software
Component: User Interface (show other bugs)
: 4.2
: All All
: -- minor (vote)
: Bugzilla 4.2
Assigned To: Frédéric Buclin
: default-qa
Mentors:
Depends on: 595410
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-05 23:59 PST by :Gavin Sharp [email: gavin@gavinsharp.com]
Modified: 2013-03-08 03:56 PST (History)
4 users (show)
LpSolit: approval+
LpSolit: approval4.4+
LpSolit: approval4.2+
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch, v1 (804 bytes, patch)
2013-03-06 15:31 PST, Frédéric Buclin
dkl: review+
Details | Diff | Splinter Review

Description :Gavin Sharp [email: gavin@gavinsharp.com] 2013-03-05 23:59:48 PST
Potentially an upstream change, but I'm not sure that it's intentional.

Hovering over the bug link for an unresolved (like this one: bug 848218) shows "NEW --- - [summary]", which looks weird. I assume "---" is the string representation of the null resolution - it should just be omitted.
Comment 1 David Lawrence [:dkl] 2013-03-06 15:21:50 PST
It is an upstream change. Bugzilla 4.0 did not replace an empty resolution value in the buglink title with '---' as it does now. I admit that it doesn't look ideal but I am not sure it is worth the customization we would need to do to make it look like the old way. We try to stay as close upstream as we can. I will move this bug to the upstream and we can discuss it further there.

dkl
Comment 2 Frédéric Buclin 2013-03-06 15:31:40 PST
Created attachment 721932 [details] [diff] [review]
patch, v1

This is a regression due to bug 595410.
Comment 3 David Lawrence [:dkl] 2013-03-07 10:16:15 PST
Comment on attachment 721932 [details] [diff] [review]
patch, v1

Review of attachment 721932 [details] [diff] [review]:
-----------------------------------------------------------------

r=dkl
Comment 4 Frédéric Buclin 2013-03-08 03:56:03 PST
Committing to: bzr+ssh://lpsolit%40gmail.com@bzr.mozilla.org/bugzilla/trunk/
modified template/en/default/bug/link.html.tmpl
Committed revision 8588.

Committing to: bzr+ssh://lpsolit%40gmail.com@bzr.mozilla.org/bugzilla/4.4/
modified template/en/default/bug/link.html.tmpl
Committed revision 8528.

Committing to: bzr+ssh://lpsolit%40gmail.com@bzr.mozilla.org/bugzilla/4.2/
modified template/en/default/bug/link.html.tmpl
Committed revision 8195.

Note You need to log in before you can comment on or make changes to this bug.